Mon, 14 Jun 2021 05:45:06 UTC

Information for RPM perl-true-1.0.1-1.el8.x86_64.rpm

ID19540803
Nameperl-true
Version1.0.1
Release1.el8
Epoch
Archx86_64
SummaryAutomatically return a true value when a file is required
DescriptionPerl's require built-in (and its use wrapper) requires the files it loads to return a true value. This is usually accomplished by placing a single 1; statement at the end of included scripts or modules. It's not onerous to add but it's a speed bump on the Perl novice's road to enlightenment. In addition, it appears to be a non-sequitur to the uninitiated, leading some to attempt to mitigate its appearance with a comment: 1; # keep require happy or: 1; # Do not remove this line or even: 1; # Must end with this, because Perl is bogus. This module packages this "return true" behavior so that it need not be written explicitly. It can be used directly, but it is intended to be invoked from the import method of a Modern::Perl-style module that enables modern Perl features and conveniences and cleans up legacy Perl warts.
Build Time2019-11-07 18:29:27 GMT
Size27,384
737fd0e2f83186063ccbb94cdfb11f32
LicenseArtistic 2.0
Buildrootepel8-build-18108609-1293979
Provides
perl(true)
perl(true::VERSION)
perl-true = 1.0.1-1.el8
perl-true(x86-64) = 1.0.1-1.el8
Obsoletes No Obsoletes
Conflicts No Conflicts
Requires
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libperl.so.5.26()(64bit)
libpthread.so.0()(64bit)
perl(:MODULE_COMPAT_5.26.3)
perl(B::Hooks::OP::Annotation)
perl(B::Hooks::OP::Check)
perl(Devel::StackTrace)
perl(XSLoader)
perl(strict)
perl(true)
perl(version) >= 0.77
perl(warnings)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
rtld(GNU_HASH)
Recommends No Recommends
Suggests No Suggests
Supplements No Supplements
Enhances No Enhances
Files
1 through 15 of 15
Name ascending sort Size
/usr/lib/.build-id0
/usr/lib/.build-id/7e0
/usr/lib/.build-id/7e/77d253bf7305b22f00e68c792fd50ba6a10bf057
/usr/lib64/perl5/vendor_perl/auto/true0
/usr/lib64/perl5/vendor_perl/auto/true/true.so11,952
/usr/lib64/perl5/vendor_perl/true0
/usr/lib64/perl5/vendor_perl/true.pm5,329
/usr/lib64/perl5/vendor_perl/true/VERSION.pm614
/usr/share/doc/perl-true0
/usr/share/doc/perl-true/Changes1,474
/usr/share/doc/perl-true/README569
/usr/share/licenses/perl-true0
/usr/share/licenses/perl-true/LICENSE.md8,952
/usr/share/man/man3/true.3pm.gz2,540
/usr/share/man/man3/true::VERSION.3pm.gz1,257
Component of
1 through 25 of 25
Buildroot descending sort Created State
epel8-playground-build-27728648-3689460 2021-06-10 14:02:03 expired
epel8-build-27726498-3688517 2021-06-10 11:11:36 expired
epel8-build-27412313-3568830 2021-05-21 22:19:21 expired
epel8-playground-build-27412297-3568746 2021-05-21 22:18:39 expired
epel8-playground-build-25771474-3007602 2021-02-17 09:49:32 expired
epel8-build-25771369-3007601 2021-02-17 09:36:36 expired
epel8-playground-build-24804020-2669523 2020-12-27 20:03:27 expired
epel8-build-24803669-2669522 2020-12-27 19:51:05 expired
epel8-playground-build-24187352-2457177 2020-11-22 02:20:47 expired
epel8-build-24096816-2434633 2020-11-18 00:07:58 expired
epel8-playground-build-23995326-2409663 2020-11-12 09:18:06 expired
epel8-build-23898906-2384474 2020-11-07 22:13:15 expired
epel8-playground-build-23793360-2350600 2020-11-02 06:00:23 expired
epel8-build-23700861-2327620 2020-10-29 06:31:24 expired
epel8-playground-build-23601462-2300314 2020-10-24 22:56:06 expired
epel8-build-23486773-2284183 2020-10-20 20:49:56 expired
epel8-playground-build-23132291-2182225 2020-10-02 11:04:12 expired
epel8-build-21638449-1743897 2020-07-19 19:43:52 expired
epel8-build-21495297-1712161 2020-07-11 22:18:22 expired
epel8-build-21349242-1677585 2020-07-04 12:22:57 expired
epel8-build-21175643-1652413 2020-06-25 14:36:18 expired
epel8-build-20494714-1475286 2020-04-29 17:01:57 expired
epel8-build-20298664-1439782 2020-04-14 05:48:09 expired
epel8-build-19675421-1393009 2020-03-03 10:09:06 expired
epel8-build-18113139-1294343 2019-11-08 12:48:17 expired